package ws

import "common/proto/sc/sc_pb"

var router map[sc_pb.MessageID]BaseRouter

type BaseRouter interface {
	Handle(data []byte, client *Client)
}

func init() {
	router = make(map[sc_pb.MessageID]BaseRouter)
	router[sc_pb.MessageID_MESSAGE_ID_ENTER_INSTANCE] = &EnterInstance{}
	router[sc_pb.MessageID_MESSAGE_ID_POSITION] = &Position{}
}
